a.meanmenu-reveal {
    display: none;
}

/* when under viewport size, .mean-container is added to body */

.mean-container .mean-bar {
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    float: left;
    position: relative;
    width: 100%;
    z-index: 99;
}

.mean-container a.meanmenu-reveal {
    border: 2px solid #7fc540;
    color: #7fc540;
    cursor: pointer;
    display: block;
    border-radius: 10px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1px;
    font-weight: 700;
    height: 37px;
    line-height: 37px;
    margin-top: -46px;
    padding: 0 8px;
    position: absolute;
    right: 12px !important;
    text-decoration: none;
    top: 7px;
    width: 25px;
}

.mean-container a.meanmenu-reveal span {
    background: #7fc540;
    display: block;
    height: 3px;
    margin-top: 5px;
    position: relative;
    top: 6px;
}

.mean-container .mean-nav {
    background: #0c1923;
    float: left;
    margin-top: 15px;
    width: 100%;
}

.mean-container .mean-nav ul {
    padding: 0;
    margin: 0;
    width: 100%;
    list-style-type: none;
    height: 300px;
    overflow-y: scroll;
}

.mean-container .mean-nav ul li {
    position: relative;
    float: left;
    width: 100%;
}

.mean-container .mean-nav ul li a {
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    color: #fff;
    display: block;
    float: left;
    margin: 0;
    padding: 15px 5%;
    text-align: left;
    text-decoration: none;
    text-transform: uppercase;
    width: 90%;
    font-size: 15px;
}

.mean-container .mean-nav ul li li a {
    border-top: 1px solid rgba(255, 255, 255, 0.25);
    opacity: 0.75;
    width: 84%;
    padding: 10px 8%;
    text-shadow: none;
    visibility: visible;
}

.mean-container .mean-nav ul li ul {
    height: unset;
}

.mean-container .mean-nav ul li.mean-last a {
    border-bottom: none;
    margin-bottom: 0;
}

.mean-container .mean-nav ul li li li a {
    width: 70%;
    padding: 1em 15%;
}

.mean-container .mean-nav ul li li li li a {
    width: 60%;
    padding: 1em 20%;
}

.mean-container .mean-nav ul li li li li li a {
    width: 50%;
    padding: 1em 25%;
}

.mean-container .mean-nav ul li a:hover {
    background: #252525;
    background: rgba(255, 255, 255, 0.1);
}

.mean-container .mean-nav ul li a.mean-expand {
    font-weight: 700;
    position: absolute;
    right: 0;
    text-align: center;
    top: 0;
    border: none;
    width: 26px;
    padding: 13px 15px;
    z-index: 2;
}

.mean-container .mean-nav ul li a.mean-expand:hover {
    color: #7fc540;
}

.mean-container .mean-push {
    float: left;
    width: 100%;
    padding: 0;
    margin: 0;
    clear: both;
}

.mean-nav .wrapper {
    width: 100%;
    padding: 0;
    margin: 0;
}

/* Fix for box sizing on Foundation Framework etc. */

.mean-container .mean-bar,
.mean-container .mean-bar * {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

.mean-remove {
    display: none !important;
}

.transparrent-header .mean-container a.meanmenu-reveal {
    border: 1px solid #fff;
    color: #fff;
}

.transparrent-header .mean-container a.meanmenu-reveal span {
    background: #fff;
}

.header-2 .mean-container a.meanmenu-reveal {
    border: 1px solid #fff;
    color: #fff;
}

.header-2 .mean-container a.meanmenu-reveal span {
    background: #fff;
}